#ifndef TEETHDLG_H
#define TEETHDLG_H

#include <QDialog>

#include "editGLDlg.h"


class QLabel;
class QSpinBox;
class QSlider;
class QPushButton;

class TeethDlg : public QDialog
{
	Q_OBJECT

public:
		TeethDlg(EditGLDlg *editGLDlg, QWidget *parent = 0);
	
private slots:
	void TeethChange();
	

public:
	enum {
		TEETH_SLIDER_DIF_RED,
		TEETH_SLIDER_DIF_GREEN,
		TEETH_SLIDER_DIF_BLUE,
		TEETH_SLIDER_NUM,
	};
	void SetSliderValue(int num, float value);
	
private:
	QLabel *m_pLabel[TEETH_SLIDER_NUM];
	QSpinBox *m_pSpin[TEETH_SLIDER_NUM];
	QSlider *m_pSlider[TEETH_SLIDER_NUM];
	EditGLDlg *m_pEditGLDlg;

	const static char *TEETH_SLIDER_NAME[];
};


#endif// TEETHDLG_H
