#ifndef AUDLG_H
#define AUDLG_H

#include <QDialog>

#include "editGLDlg.h"

class QLabel;
class QSpinBox;
class QSlider;
class QPushButton;

class AuDlg : public QDialog
{
	Q_OBJECT

public:
		AuDlg(EditGLDlg *editGLDlg, QWidget *parent = 0);
		bool SaveUserAU(const char *filename);
	bool OpenUserAU(const char *filename);

	private slots:
		void AllReset();
	void AuChange();


public:
	enum {
		AU01_SLD = 0,
		AU02_SLD,
		AU03_SLD,
		AU04_SLD,
		AU05_SLD,
		AU06_SLD,
		AU07_SLD,
		AU08_SLD,
		AU09_SLD,
		AU10_SLD,
		AU11_SLD,
		AU12_SLD,
		AU13_SLD,
		AU14_SLD,
		AU15_SLD,
		AU16_SLD,
		AU17_SLD,
		AU18_SLD,
		AU19_SLD,
		AU20_SLD,
		AU21_SLD,
		AU22_SLD,
		AU23_SLD,
		AU24_SLD,
		AU25_SLD,
		AU26_SLD,
		AU27_SLD,
		AU28_SLD,
		AU29_SLD,
		AU30_SLD,
		AU31_SLD,
		AU32_SLD,
		AU33_SLD,
		AU34_SLD,
		AU35_SLD,
		AU36_SLD,
		AU_USER_DEF_SLD,
		AU_SLIDER_NUM
	};
private:	
	QLabel *m_pLabel[AU_SLIDER_NUM];
	QSpinBox *m_pSpin[AU_SLIDER_NUM];
	QSlider *m_pSlider[AU_SLIDER_NUM];
	QPushButton *m_pResetButton;
	EditGLDlg *m_pEditGLDlg;

	const static char *AU_SLIDER_NAME[];
};



#endif// AUDLG_H
