#ifndef EDITGLDLG_H
#define EDITGLDLG_H

#include <QDialog>

#include "Document.h"
#include "DialogEdit.h"

class GLEditWidget;
class QPushButton;

class EditGLDlg : public QDialog
{
	Q_OBJECT

public:
	EditGLDlg(Document *pDocument, DialogEdit *pView, QWidget *parent = 0);
	Document *GetDocument() { return m_pDocument; }
	DialogEdit *GetDialogEdit() { return m_pDialogEdit; }
	
	void redraw_window();
	
private:
	QPushButton *m_pResetButton;
	GLEditWidget *m_pGLEditWidget;

	Document *m_pDocument;
	DialogEdit *m_pDialogEdit;
};


#endif// EDITGLDLG_H
